package com.mortals.xhx.module.matter.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:MatterDatumFile
* date: 2021-9-17 15:55:12
*/
public class MatterDatumFileEntity extends MatterDatumFileEntityExt{
    private static final long serialVersionUID = 1631865312135L;


    /**
    * 材料id
    */
    private Long datumid;

    /**
    * 附件名称
    */
    private String fileName;

    /**
    * 附件下载地址
    */
    private String fileUrl;

    /**
    * 附件类型 1 示例样表 2空白表格 默认1
    */
    private Integer filetype;

    /**
    * 附件来源，0：政务网，1：自定义，默认0
    */
    private Integer source;

    /**
    * 变更时间
    */
    private Date updateTime;

    /**
    * 变更用户loginName
    */
    private String updateUser;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户loginName
    */
    private String createUser;

    public MatterDatumFileEntity(){

    }
    /**
    * 获取 材料id
    * @return datumid
    */
    public Long getDatumid() {
        return this.datumid;
    }
    /**
    * 设置 材料id
    * @param datumid
    */
    public void setDatumid(Long datumid) {
        this.datumid = datumid;
    }
    /**
    * 获取 附件名称
    * @return fileName
    */
    public String getFileName() {
        return this.fileName;
    }
    /**
    * 设置 附件名称
    * @param fileName
    */
    public void setFileName(String fileName) {
        this.fileName = fileName;
    }
    /**
    * 获取 附件下载地址
    * @return fileUrl
    */
    public String getFileUrl() {
        return this.fileUrl;
    }
    /**
    * 设置 附件下载地址
    * @param fileUrl
    */
    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }
    /**
    * 获取 附件类型 1 示例样表 2空白表格 默认1
    * @return filetype
    */
    public Integer getFiletype() {
        return this.filetype;
    }
    /**
    * 设置 附件类型 1 示例样表 2空白表格 默认1
    * @param filetype
    */
    public void setFiletype(Integer filetype) {
        this.filetype = filetype;
    }
    /**
    * 获取 附件来源，0：政务网，1：自定义，默认0
    * @return source
    */
    public Integer getSource() {
        return this.source;
    }
    /**
    * 设置 附件来源，0：政务网，1：自定义，默认0
    * @param source
    */
    public void setSource(Integer source) {
        this.source = source;
    }
    /**
    * 获取 变更时间
    * @return updateTime
    */
    public Date getUpdateTime() {
        return this.updateTime;
    }
    /**
    * 设置 变更时间
    * @param updateTime
    */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUser
    */
    public String getUpdateUser() {
        return this.updateUser;
    }
    /**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户loginName
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户loginName
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof MatterDatumFileEntity) {
            MatterDatumFileEntity tmp = (MatterDatumFileEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",datumid:").append(getDatumid())
                .append(",fileName:").append(getFileName())
                .append(",fileUrl:").append(getFileUrl())
                .append(",filetype:").append(getFiletype())
                .append(",source:").append(getSource())
                .append(",updateTime:").append(getUpdateTime())
                .append(",updateUser:").append(getUpdateUser())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.datumid = null;
         this.fileName = null;
         this.fileUrl = null;
         this.filetype = null;
         this.source = null;
         this.updateTime = null;
         this.updateUser = null;
         this.createTime = null;
         this.createUser = null;
    }
}